Name:           python-rdfextras
Version:        0.1
Release:        3%{?dist}
Summary:        Python library for working with RDF

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/rdfextras/
Source0:        http://rdfextras.googlecode.com/files/rdfextras-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

Requires:       python-rdflib >= 3.0.0

%description
RDFExtras is a collection of packages providing extras based on RDFLib. 
The common denominator is "non-core-rdflib".

This project is for collecting several packages with distinct uses, such 
as commandline tools, experimental (or unmaintained) stores and similar. 
It will be close to RDFLib, but the intent is to keep things here a bit 
more loose.

These packages are thus to be considered unstable in general. Useful, 
sometimes near core, but not currently guaranteed to never be 
renamed/reshuffled/redesigned.

(For instance, there are currently non-commandline utils in "
rdfextras.tools" that may be subsequently moved to e.g. 
"rdfextras.util", "rdfextras.web" or similar.)


%prep
%setup -q -n rdfextras-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT/%{python_sitelib}/rdfextras -name '*.py' -exec sed -i '/#!.*python/d' {} \;

%files
%{python_sitelib}/*
%{_bindir}/rdfpipe

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-2
- Clean spec
- Remove all shebangs of the python file in %%{python_sitelib}

* Fri Jan 20 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-1
- initial version

